<?php

namespace Litecms\Demo;

use Litecms\Demo\Models\DemoRestaurant;


class Demo
{
    /**
     * $demo_restaurant object.
     */
    protected $demo_restaurant;

    /**
     * Constructor.
     */
    public function __construct()
    {
        $this->demo_restaurant = app(DemoRestaurant::class);
    }

    /**
     * Returns count of demo.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find demo by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function demo($slug)
    {
        return  $this->demo
            ->findBySlug($slug)
            ->toArray();
    }
}
